datablock AudioProfile(LDExplosionSound)
{
   filename    = "base/data/sound/breakBrick.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock DebrisData(headDebris)
{
   shapeFile = "./head.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(handDebris : headDebris)
{
   shapeFile = "./hand.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(handLeftDebris : headDebris)
{
   shapeFile = "./handLeft.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(shoulderDebris : headDebris)
{
   shapeFile = "./shoulder.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(footDebris : headDebris)
{
   shapeFile = "./foot.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock ExplosionData(LDExplosion1) //Gotta make sub-explosions first because an explosion has to exist to be a part of another explosion...
{
   lifetimeMS = 33;
   particleEmitter = "";
   debrisNumVariance      = 0;
   debrisPhiMin           = 0;
   debrisPhiMax           = 360;
   debrisThetaMin         = 5;
   debrisThetaMax         = 105;
   debrisVelocity         = 5;
   debrisVelocityVariance = 1;

   debris = headDebris;
   debrisNum = 0;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;

   lightStartRadius = 0;
   lightEndRadius = 0;

   impulseRadius = 100;
   impulseForce = 100;

   radiusDamage = 0;
   damageRadius = 0;
};
datablock ExplosionData(LDExplosion2 : LDExplosion1)
{
   debris = footDebris;
   debrisNum = 2;
};
datablock ExplosionData(LDExplosion3 : LDExplosion1)
{
   debris = shoulderDebris;
   debrisNum = 2;
};
datablock ExplosionData(LDExplosion4 : LDExplosion1)
{
   debris = handDebris;
   debrisNum = 1;
};
datablock ExplosionData(LDExplosion5 : LDExplosion1)
{
   debris = handLeftDebris;
   debrisNum = 1;
};
datablock ExplosionData(LDExplosion : LDExplosion1)
{
   lifeTimeMS = 500;

   //particleEmitter = "";
   particleDensity = 45;
   particleRadius  = 2.5;

   debris = headDebris;
   debrisNum = 1;

   soundProfile = LDExplosionSound;

   //emitter[0] = "";
   //emitter[1] = "";
   //emitter[2] = "";

   subExplosion[0] = LDExplosion1;
   subExplosion[1] = LDExplosion2;
   subExplosion[2] = LDExplosion3;
   subExplosion[3] = LDExplosion4;
   subExplosion[4] = LDExplosion5;
};

datablock ProjectileData(LDExplosionProjectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage     = 10;
   directDamageType = $DamageType::Default; //Damagetype default actually does no damage
   radiusDamageType = $DamageType::Default;
   impactImpulse    = 10;
   verticalImpulse  = 10;
   explosion        = LDExplosion;

   brickExplosionRadius            = 0;
   brickExplosionImpact            = false; 
   brickExplosionForce             = 0;
   brickExplosionMaxVolume         = 0;
   brickExplosionMaxVolumeFloating = 0;

   muzzleVelocity   = 1;
   velInheritFactor = 1;

   lifetime         = 10;
   bounceElasticity = 0;
   bounceFriction   = 0;
   isBallistic    = false;
   explodeOnDeath = true;
   hasLight       = false;
};
package LEGODEATH
{
   function armor::onDisabled(%data, %obj, %enabled)
   {
      %obj.hideNode("ALL");
         %obj.unHideNode(chest);
         %obj.unHideNode(pants);
         %obj.setNodeColor("ALL","1 1 1 1");
      %obj.unMountImage(0);
      %obj.unMountImage(1);
      %proj = new Projectile()
      {
         scale = %obj.getScale();
         dataBlock = LDExplosionProjectile;
         initialVelocity = %obj.getVelocity();
         initialPosition = %obj.getPosition();
         sourceObject = %obj;
         sourceSlot = 0;
         client = %obj.client;
      };
      MissionCleanup.add(%proj);
      %z = getWord(%obj.getScale(),2);
      Parent::onDisabled(%data, %obj, %enabled);
   }
};
activatePackage(LEGODEATH);